Package org.eclipse.e4.ui.css.core.dom.properties

# Class AbstractCSSPropertyCompositeHandler

java.lang.Object
org.eclipse.e4.ui.css.core.dom.properties.AbstractCSSPropertyCompositeHandler

All Implemented Interfaces:
  `ICSSPropertyCompositeHandler`, `ICSSPropertyHandler`

Direct Known Subclasses:
  `AbstractCSSPropertyBackgroundCompositeHandler`, `AbstractCSSPropertyBorderCompositeHandler`, `AbstractCSSPropertyFontCompositeHandler`

public abstract class AbstractCSSPropertyCompositeHandler extends Object implements ICSSPropertyCompositeHandler
Abstract class which manage CSS Property composite like border:solid black 1px; It dispatch

Version:
  1.0.0
Author:
  Angelo ZERR

## Constructor Summary

Constructors
Constructor
Description
`AbstractCSSPropertyCompositeHandler()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`applyCSSProperty(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property.
`void`
`applyCSSPropertyComposite(Object element, String property, CSSValue value, String pseudo, CSSEngine engine)`
Apply CSS Property composite and dispatch CSS Property if CSSValue is CSSValueList by calling applyCSSProperty for each item of CSSValue.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.e4.ui.css.core.dom.properties.ICSSPropertyCompositeHandler

`getCSSPropertiesNames, isCSSPropertyComposite`

### Methods inherited from interface org.eclipse.e4.ui.css.core.dom.properties.ICSSPropertyHandler

`applyCSSProperty, retrieveCSSProperty`

## Constructor Details

### AbstractCSSPropertyCompositeHandler

public AbstractCSSPropertyCompositeHandler()

## Method Details

### applyCSSPropertyComposite

public void applyCSSPropertyComposite(Object element, String property, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Apply CSS Property composite and dispatch CSS Property if CSSValue is CSSValueList by calling applyCSSProperty for each item of CSSValue.

Throws:
  `Exception`

### applyCSSProperty

public abstract void applyCSSProperty(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Apply CSS Property.

Throws:
  `Exception`